### Method

# FwupdPlugin DpauxDevice write

#### Declaration [src]

    gboolean
    fu_dpaux_device_write (
      FuDpauxDevice* self,
      goffset offset,
      const guint8* buf,
      gsize bufsz,
      guint timeout_ms,
      GError** error
    )

#### Description [src]

Write multiple bytes to the DP AUX device.

Available since: | 1.9.8

#### Parameters

`offset` | `goffset`
| No description available.
`buf` | `const guint8*`
| Data.
| The argument will be set by the function.
`bufsz` | `gsize`
| Size of `data`.
`timeout_ms` | `guint`
| No description available.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.